Skip to content
View as Markdown

POST Update Recurring Campaign Email​

POST
/recurring-campaigns/{campaign_id}/emails/update-email

Update a child email within a recurring campaign. Supports two steps: edit for updating the email body, design template, and settings; and review for updating the email subject, scheduled time, status, and settings. When using the review step with pending-scheduled status, the parent recurring campaign must be active. Requires FluentCampaign Pro.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

campaign_id*

The parent recurring campaign ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"step": "edit",
"email": {
"id": 22,
"email_body": "<p>Updated email content for {{contact.first_name}}</p>",
"design_template": "simple",
"settings": {
"mailer_settings": {
"from_name": "",
"from_email": "",
"reply_to_name": "",
"reply_to_email": "",
"is_custom": "no"
}
}
}
}

Responses​

Email updated successfully.

application/json
JSON
{
"message": "Email body has been successfully updated"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI